org.apache.poi.hwmf.record

## Class HwmfDraw

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfDraw

-     public final class HwmfDraw
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HwmfDraw.WmfArc` The META_ARC record draws an elliptical arc.
    `static class` | `HwmfDraw.WmfChord` The META_CHORD record draws a chord, which is defined by a region bounded by the intersection of an ellipse with a line segment.
    `static class` | `HwmfDraw.WmfEllipse` The META_ELLIPSE record draws an ellipse.
    `static class` | `HwmfDraw.WmfFrameRegion` The META_FRAMEREGION record draws a border around a specified region using a specified brush.
    `static class` | `HwmfDraw.WmfLineTo` The META_LINETO record draws a line from the drawing position that is defined in the playback device context up to, but not including, the specified point.
    `static class` | `HwmfDraw.WmfMoveTo` The META_MOVETO record sets the output position in the playback device context to a specified point.
    `static class` | `HwmfDraw.WmfPie` The META_PIE record draws a pie-shaped wedge bounded by the intersection of an ellipse and two radials.
    `static class` | `HwmfDraw.WmfPolygon` The META_POLYGON record paints a polygon consisting of two or more vertices connected by straight lines.
    `static class` | `HwmfDraw.WmfPolyline` The META_POLYLINE record draws a series of line segments by connecting the points in the specified array.
    `static class` | `HwmfDraw.WmfPolyPolygon` The META_POLYPOLYGON record paints a series of closed polygons.
    `static class` | `HwmfDraw.WmfRectangle` The META_RECTANGLE record paints a rectangle.
    `static class` | `HwmfDraw.WmfRoundRect` The META_ROUNDRECT record paints a rectangle with rounded corners.
    `static class` | `HwmfDraw.WmfSelectObject` The META_SELECTOBJECT record specifies a graphics object for the playback device context.
    `static class` | `HwmfDraw.WmfSetPixel` The META_SETPIXEL record sets the pixel at the specified coordinates to the specified color.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.geom.Rectangle2D` | `normalizeBounds(java.awt.geom.Rectangle2D bounds)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### normalizeBounds

          @Internal
          public static java.awt.geom.Rectangle2D normalizeBounds(java.awt.geom.Rectangle2D bounds)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.